#if defined(USE_LIRC) || defined(USING_APPLEREMOTE)
    else if (ce->type() ==
             (QEvent::Type) LircKeycodeEvent::kLIRCKeycodeEventType &&
             !d->ignore_lirc_keys)
    {
        LircKeycodeEvent *lke = static_cast<LircKeycodeEvent *>(ce);
VERBOSE(VB_IMPORTANT,
        QString("MythMainWindow, got lirc key, text %1: ")
            .arg( lke->text() ));


        if (LircKeycodeEvent::kLIRCInvalidKeyCombo == lke->modifiers())
        {
            VERBOSE(VB_IMPORTANT, QString("MythMainWindow, Warning: ") +
                    QString("Attempt to convert LIRC key sequence '%1' "
                            "to a Qt key sequence failed.")
                    .arg(lke->lirctext()));
        }
        else
        {
            GetMythUI()->ResetScreensaver();
            if (GetMythUI()->GetScreenIsAsleep())
                return;

            QKeyEvent key(lke->keytype(),   lke->key(),
                          lke->modifiers(), lke->text());

VERBOSE(VB_IMPORTANT,
        QString( "Sending QKeyEvent %1 ").arg( key.text() ));

            QObject *key_target = getTarget(key);
            if (!key_target)
                QApplication::sendEvent(this, &key);
            else
                QApplication::sendEvent(key_target, &key);
        }
    }
    else if (ce->type() == (QEvent::Type) LircMuteEvent::LircMuteEventType)
    {
        LircMuteEvent *lme = static_cast<LircMuteEvent *>(ce);
        d->ignore_lirc_keys = lme->eventsMuted();
    }
#endif

